## xsok 1.02

=== Makefile ===
--- 
+++ 
@@ -34,9 +34,9 @@
 
 distrib:
 	$(MAKE) clean
-	(cd ..; tar cvfz $(HOME)/xsok-1.01-src.tar.gz xsok-1.01)
+	(cd ..; tar cvfz $(HOME)/xsok-1.02-src.tar.gz xsok-1.02)
 
 bindistrib:
-	(cd /; tar cvfz $(HOME)/xsok-1.01-bin.tar.gz var/games/xsok/*.score \
+	(cd /; tar cvfz $(HOME)/xsok-1.02-bin.tar.gz var/games/xsok/*.score \
 	 usr/games/bin/xsok usr/man/man6/xsok.6x usr/games/lib/xsok \
 	usr/doc/xsok)
