=== solver/Makefile ===
CFLAGS = -g -Wall -O2
LDFLAGS = -s -N

all: solve

solve: solve.o BFS.o crc16.o

clean:
	rm -f *~ *.o solve
