=== debian/changelog ===
xsok (1.02-21) unstable; urgency=medium

  * QA upload.

  [ Vagrant Cascadian ]
  * debian/rules: Pass default CFLAGS via CCOPTIONS variable. (Closes: #1021470)

  [ Petter Reinholdtsen ]
  * Include CPPFLAGS and LDFLAGS during build for hardening.

  [ Vagrant Cascadian ]
  * debian/rules: Convert to dh.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 03 May 2024 18:17:42 +0200

xsok (1.02-20) unstable; urgency=medium

  * QA upload.

  [ Matheus Faria ]
  * remove unnecessary root:games permission
  * Switch to compat level 11.
  * add watch file

  [ Petter Reinholdtsen ]
  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.2.1 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Moved to debhelper compat level 13.
  * Added simple clean target in d/rules for rebuildability (Closes: 1047658).
  * Convert d/copyright to machine readable format, including author
    statement on cyberbox (Closes: #1056146).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 28 Apr 2024 09:20:58 +0200

xsok (1.02-19) unstable; urgency=medium

  * QA upload.
  * Explicitly declare "Rules-Requires-Root: binary-targets" (due to
    installing /usr/games/xsok and /var/games/xsok with ownership
    root:games).

 -- Colin Watson <cjwatson@debian.org>  Sat, 05 Jan 2019 12:10:54 +0000

xsok (1.02-18) unstable; urgency=low

  * QA upload.
  * Declare compliance with Debian Policy 4.2.1.
  * Remove 'debian/rules clean' to use the default
  * Remove debian/menu file
  * Change Maintainer to QA team since the package is orphaned

 -- Matheus Faria <matheus.sousa.faria@gmail.com>  Mon, 01 Oct 2018 00:21:57 -0300

xsok (1.02-17.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to compat level 10. (Closes: #817738)
  * Remove debian/override.Lintian file.
  * Provide a desktop file and a new icon. (Closes: #478985)
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
    Thanks to Jari Aalto for the report and patch. (Closes: #664300)
  * Declare compliance with Debian Policy 3.9.8.
  * Replace dh_clean -k with dh_prep.
  * Add recommended build-arch and build-indep targets.
  * Add Homepage field and point to tracker.debian.org.
  * Use set -e in prerm script.
  * Add do-not-use-global-variable-as-counter.patch, so that xsok won't
    overwrite the last level's savefile. Thanks Bertram Felgenhauer for the
    report and patch. (Closes: #382550)
  * Translate the help files into German. Allow users to use these translated
    files when LANG=de_DE.UTF-8 is set. Thanks to Helge Kreutzmann for the
    report and the translations. (Closes: #630230)

 -- Markus Koschany <apo@debian.org>  Thu, 06 Oct 2016 23:32:23 +0200

xsok (1.02-17) unstable; urgency=low

  * Policy 3.8.0: move /usr/X11R6/lib to /usr/lib.
  * Build-Depends: xutils-dev.  (Closes: #485726)
  * Fix 'debian/rules clean' lintian warning.
  * Update 'debian/copyright' a bit, thanks again to lintian.

 -- Peter Samuelson <peter@p12n.org>  Sun, 03 May 2009 11:48:58 -0500

xsok (1.02-16) unstable; urgency=medium

  * patch 10_lots_of_stuff: break into logical patches.
    - build_tweaks, config, manpage, overflow
  * new patch no_gunzip: rip out the gunzip support.
    This had a fragile security patch in it - there were two code paths
    selected by a define in the Imakefile, and only one was fixed.
    - patch 20_gunzip_exploit_fix deleted, as it is obsolete
  * new patch wm_delete: support ICCCM, or at least WM_DELETE_WINDOW.
    Thanks to Peter de Wachter <pdewacht@vub.ac.be> for the patch.
    (Closes: #288143)
  * new patch security_paranoia: fix/remove various uses of strcpy/sprintf.
    Most of these aren't exploitable, but some might be.
  * new patch undo_nowrap: prevent "undo" command from wrapping around
    to the end of the game.  This behavior was clearly intentional, but
    it's counterintuitive and undocumented.  (Closes: #288142)
  * new patch drag_segfault: prevent segfault when trying to drag the
    player with button 2.  (Closes: #318617)
  * patch build_tweaks:
    - disable ifdef for HPArchitecture.  Obviously they mean HP-UX; we
      don't want that stuff for Debian hppa.
    - remove -O2 from CCOPTIONS, to enable DEB_BUILD_OPTIONS=noopt.
    - fix 3 gcc warnings.  All harmless, except one on 64-bit BE,
      which Debian doesn't have for this package.
  * debian/rules: support DEB_BUILD_OPTIONS=nostrip,noopt.
  * debian/rules:
    - Remove kludge around Bug #319121, it's fixed now.
    - In the same vein, override $(LOCAL_LIBRARIES) to avoid linking
      extraneous X libraries.
    - debian/control: Trim Build-Depends accordingly.
  * debian/docs: don't ship README, it's not really relevant to Debian.

 -- Peter Samuelson <peter@p12n.org>  Tue,  7 Feb 2006 06:13:55 -0600

xsok (1.02-15) unstable; urgency=low

  * New maintainer.  (Closes: #242100)
  * Bump standards version to 3.6.2 (no changes).
  * debian/rules: use debhelper 4, remove random dh_* cruft.
  * debian/rules: small cleanups; use DESTDIR for readability.
  * Do not install COPYRIGHT.* in /usr/share/doc.  These are all covered
    by 'copyright'.
  * debian/rules: hacks to "fix" what imake spits out:
    - do not link to libselinux (see #319121)
    - do not link to libXp
  * debian/control: kill xlibs-dev in favor of the real dev packages.
  * debian/patches/11_manpage: .TH section 6x, not 6.
  * debian/copyright: FSF moved again.

 -- Peter Samuelson <peter@p12n.org>  Tue,  2 Aug 2005 21:04:34 -0500

xsok (1.02-14) unstable; urgency=low

  * QA upload.
  * Decompress .gz files in /usr/share/games/xsok/ (Closes: #291513) 
  * usr/share/games/xsok added to debian/dirs

 -- Emanuele Rocca <ema@debian.org>  Fri, 21 Jan 2005 12:41:03 +0100

xsok (1.02-13) unstable; urgency=low

  * QA upload.
  * chown user.group replaced with user:group in debian/rules and
    debian/postinst (Closes: #287994)

