=== debian/control ===
Source: xsok
Priority: optional
Section: games
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.0
Homepage: https://tracker.debian.org/pkg/xsok
Build-Depends: debhelper-compat (= 13),
               libx11-dev,
               libxaw7-dev,
               libxpm-dev,
               libxt-dev,
               xutils-dev
Rules-Requires-Root: binary-targets
Vcs-Browser: https://salsa.debian.org/debian/xsok
Vcs-Git: https://salsa.debian.org/debian/xsok.git

Package: xsok
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: generic Sokoban game for X11
 xsok is a single player strategic game, a superset of the
 well-known Sokoban game.
 .
 The target of Sokoban is to push all the objects into the
 score area of each level using the mouse or the arrow
 keys. For the other level subsets, there are different
 kinds of objects, and special effect squares.
