=== debian/rules ===
#!/usr/bin/make -f

DESTDIR := $(shell pwd)/debian/xsok

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- \
	  CCOPTIONS="$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)" \
	  LOCAL_LIBRARIES='-lXpm -lXaw -lXt -lX11' \
	  XSOKLIBDIR=/usr/share/games/xsok \
	  XSOKSAVEDIR=/var/games/xsok

override_dh_auto_install:
	$(MAKE) install \
	  BINDIR=$(DESTDIR)/usr/games \
	  LIBDIR=$(DESTDIR)/usr/lib/X11 \
	  XSOKLIBDIR=$(DESTDIR)/usr/share/games/xsok \
	  XSOKMANDIR=$(DESTDIR)/usr/share/man/man6 \
	  XSOKSAVEDIR=$(DESTDIR)/var/games/xsok \
	  XSOKDOCDIR=$(DESTDIR)/usr/share/doc/xsok \
	  XAPPLOADDIR=$(DESTDIR)/etc/X11/app-defaults

	$(RM) $(DESTDIR)/usr/share/doc/xsok/COPYRIGHT*

override_dh_auto_clean:
	dh_auto_clean
	$(RM) lib/Cyberbox.def lib/Sokoban.def lib/Xsok.def
