=== debian/watch ===
# Upstream website has since been removed.
